#pragma once

#define AUDIOLISTENER typeid(AudioListener).name()

#include "elements/BehaviourScript.hpp"

namespace TSE
{
    class AudioListener : public BehaviourScript
    {
        void OnUpdate() override;
        inline const char* GetName() override
        {
            return "Audio Listener";
        }
    };
} // namespace TSE
